DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# PixelQueuePush

Push item onto queue

## SYNOPSIS

`#include "dip_pixelqueue.h"`

dip_Error dip_PixelQueuePush ( queue, coords, pointer )

## FUNCTION

Pushes a pixel onto the queue. See `PixelQueueNew` for information on the queue data structure. Both `coords` and `pointer` are stored, except if the stack was created with `ndims` set to 0, in which case the `coords` values are ignored.

`coords` is a pointer to an array of `dip_int`s, such as that obtained with `dip_IntegerArray->array`. It should have as many elements as the image dimensionality. `pointer` is a pointer to any memory location.

## ARGUMENTS

Data type | Name | Description
`dip_PixelQueue` | `queue` | The queue structure
`dip_int *` | `coords` | Coordinates to be pushed
`void *` | `pointer` | Pointer to be pushed

## SEE ALSO

`PixelQueueNew`, `PixelHeapNew`, `StablePixelHeapNew`, `PixelQueueFree`, `PixelQueuePop`, `PixelQueueIsEmpty`